PDA

View Full Version : Help !!!



Soifos
05-08-2001, 06:27 AM
I'm new on graphic language progrmmation with MS-C++ and i try to use OpenGl GLUT library but when I'm ompiling the example 'pulsar.cpp' from Opengl.org, I got this :
Linking...
C:\MSDEV\LIB\glut32.lib : fatal error LNK1106: invalid file or disk full: cannot seek to 0x39d50e15
Error executing link.exe.

I precise that my disks are not full !

Thanks for your answers
Soifos

john
05-08-2001, 06:34 AM
Howdy,

er.. that doesn't look healthy. Not at all. As an educated guess, i'd say your directory structure is somehow up the creek. I wouldn't know whether this is becayse the o/s went on holidays at some-stage when it was writing your glut file, or whether your disk has pernament defect. It looks like your file chain has an inode (or whatever windows call them...) with some wrong value poiting to the next file chunk *beyond* the capacity of your disk.

this isn't a compiler error. its some file system issue. try running scandisk, or something? see if that can't sort it out?

cheers,
John

Deiussum
05-08-2001, 07:01 AM
What version is the compiler you are using? I'm asking because you said MS-C++ rather than MS-VC++. If you by chance have an old MS DOS compiler, it could possibly explain that error. If that is the case you are pretty much out of luck and will need to get a new compiler. There are free ones available.

If you are in fact using VC++, then my first suggestion would be to make sure you have the latest glut32.lib file. Where did you get it from originally? If you happened to get a borland version of it, that also wouldn't work and may cause that error.

john's assumption could be correct, but I'd tend to check on some of the more obvious possibilities first. http://www.opengl.org/discussion_boards/ubb/smile.gif

One more obvious thought. If you are compiling your source from a floppy, you could very well be running out of space on the floppy. http://www.opengl.org/discussion_boards/ubb/smile.gif



[This message has been edited by Deiussum (edited 05-08-2001).]

Bob
05-08-2001, 07:05 AM
I had that problem myself quite a while ago. I was told to reinstall MSVC and try again. Have seen a few similar problems gere on the board, and they also got the answer to reinstall MSVC. It worked for me at least. As far as I could see, when I got the error, there was nothing wrong with the filesystem, so I have no clue at all what it actually is. But if it's not too much trouble, try a reinstall.

zed
05-08-2001, 10:28 PM
the answer is
the version of glut you're using was compiled on a different version of vc than the version of vc that u have.
eg say the glut library was compiled with vc6 + u have vc u will give this error.